petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMMoabIsEntityOnBoundary

Check whether a given entity is on the boundary (vertex, edge, face, element)

### Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabCheckBoundaryVertices(DM dm,PetscInt nconn,const moab::EntityHandle *cnt,PetscBool* isbdvtx)

### Input Parameter

dm - The DMMoab object
nconn - Number of handles
cnt - Array of entity handles

### Output Parameter

isbdvtx - Array of boundary markers - PETSC_TRUE if entity on boundary; PETSC_FALSE otherwise

### See Also

DMMoabIsEntityOnBoundary()

Level:beginner
Location:src/dm/impls/moab/dmmoab.cxx
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages